main();
function main(){
	var d = app.dialogs.add({name:"Replace Hyperlink URL Values"});
	var col1 = d.dialogColumns.add();
	var col2 = d.dialogColumns.add();
	col1.staticTexts.add({staticLabel:"Find (GREP):"});
	col1.staticTexts.add({staticLabel:"Replace:"});
	var find = col2.textEditboxes.add({minWidth:100});
	var change = col2.textEditboxes.add({minWidth:100});
	var result = d.show();
	if(!result){
		d.destroy();
		return;
	}
	var grepForFind = RegExp(find.editContents,"g");
	var grepForReplace = change.editContents;
	d.destroy();
	var dests = app.documents[0].hyperlinkURLDestinations.everyItem().getElements();
	for(var i=0;i<dests.length;i++){
		dests[i].destinationURL = dests[i].destinationURL.replace(grepForFind,grepForReplace);
	}
}